/*
 *  This is the responsive part for tablet.
 */
@media (min-width: 768px) {

  /*
   * Generic
   */

  [role=main] {
    bottom: 10rem;
  }

  [role=navigation] {
    text-align: center;
    padding: 2rem;
    height: 6rem;
  }

  [role=navigation] button {
    float: none;
    width: 40rem;
    margin-right: 2.6rem;
    font-size: 2.4rem;
    height: 6rem;
    line-height: 6rem;
  }

  [role=navigation] button span {
    width: 4.5rem;
  }

  [role=navigation] button.recommend span {
    left: calc(100% - 4.5rem);
  }

  [role=navigation].secondary-menu #wifi-join-button {
    display: inline-block;
  }

  .forward-only[role=navigation] .recommend {
    width: 83rem;
  }

  /*
   * #languages
   */
  #languages {
    background-position: 0 100%;
  }

  /*
   * #date_and_time
   */
  #time_zone_map {
    background-position: center 0;
  }

  /*
   * #welcome_browser
   */
  #welcome_browser #form_share_statistics label {
    position: relative;
    width: 100%;
  }

  /*
   * #ftu
   */
  .step-img-base {
    width: 82.2rem;
  }

  .finish-screen-base .content,
  .tutorial-finish-base .content {
    height: calc(100% - 10rem);
  }

  .finish-screen-base .content {
    background: url(images/start_for_large.png) no-repeat center center,
                url(images/bg_for_large.png) no-repeat;
  }

  .finish-screen-base .content .for-tiny {
    display: none;
  }

  .finish-screen-base .content .for-large {
    display: block;
    text-align: center;
    position: relative;
    top: calc(50% + 13rem);
  }

  .finish-screen-base .content p[data-l10n-id="startYourTablet"] {
    font-size: 3.2rem;
  }

  .finish-screen-base .content:before {
    content: " ";
    height: 0.1rem;
    width: calc(100% - 3rem);
    position: absolute;
    top: 1.5rem;
    margin-left: -1.5rem;
    background: #FFFFFF;
  }

  .tutorial-finish-base .content {
    height: 100%;
    width: 100%;
    padding: 0;
    background: url(images/thumb_up2.png) no-repeat center 40%,
                url(images/arrow_up.png) no-repeat center bottom;
  }

  .tutorial-finish-base p {
    position: relative;
    text-align: center;
    width: 100%;
    margin: 0 auto;
  }

  .tutorial-finish-base p[data-l10n-id="thatsIt1Tablet-2"] {
    font-size: 2.5rem;
    width: 52rem;
    top: calc(40% + 14rem);
  }

  .tutorial-finish-base p[data-l10n-id="thatsIt2Tablet-2"] {
    font-size: 4.7rem;
    top: calc(100% + 2rem);
  }

  .tutorial-screen-base header {
    padding: 5.1rem 22.5rem 2rem;
    font-size: 2.5rem;
    width: 81.4rem;
    height: 6rem;
    margin: 0 auto;
  }

  .tutorial-screen-base .step-state:before {
    width: calc(100% / 4);
    background: #FFFFFF;
  }
}
